%global debug_package   %{nil}

Name:           PEGTL
Version:        2.6.0
Release:        1%{?dist}
Summary:        Parsing Expression Grammar Template Library
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/taocpp/%{name}/
Source0:        https://github.com/taocpp/%{name}/archive/%{version}.tar.gz

BuildRequires: /usr/bin/make

Patch0: PEGTL-2.6.0-fix-endian-test.patch

%description
The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
C++11 header-only library for creating parsers according to a Parsing
Expression Grammar (PEG).

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fix-endian-test

%check
make

%install
install -d -m 0755 %{buildroot}%{_includedir}
pushd include/
cp -R tao/ %{buildroot}%{_includedir}
popd

%files devel
%doc README.md doc/
%license LICENSE
%{_includedir}/tao/pegtl.hpp
%{_includedir}/tao/pegtl

%changelog
* Wed Jul 11 2018 Daniel Kopecek <dkopecek@redhat.com> - 2.6.0-1
- Update to 2.6.0

* Thu Mar 23 2017 Daniel Kopecek <dkopecek@redhat.com> - 1.3.1-1
- Import
